[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOB_PerTreeError Class Reference |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for OOB_PerTreeError:

## Public Member Functions
template<class RF , class PR , class SM , class ST >
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &, int index)
template<class RF , class PR >
void | visit_at_end (RF &rf, PR &)
Public Member Functions inherited from VisitorBase
double | return_val ()
template<class Tree , class Split , class Region , class Feature_t , class Label_t >
void | visit_after_split (Tree &tree, Split &split, Region &parent, Region &leftChild, Region &rightChild, Feature_t &features, Label_t &labels)
template<class RF , class PR , class SM , class ST >
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF , class PR >
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF , class PR >
void | visit_at_end (RF const &rf, PR const &pr)
template<class TR , class IntT , class TopT , class Feat >
void | visit_external_node (TR &tr, IntT index, TopT node_t, Feat &features)
template<class TR , class IntT , class TopT , class Feat >
void | visit_internal_node (TR &, IntT, TopT, Feat &)

## Public Attributes
double | oobError

## Detailed Description

Visitor that calculates the oob error of each individual randomized decision tree.

After training a tree, all those samples that are OOB for this particular tree are put down the tree and the error estimated. the per tree oob error is the average of the individual error estimates. (oobError = average error of one randomized tree) Note: This is Not the OOB - Error estimate suggested by Breiman (See OOB_Error visitor)

## Member Function Documentation

void visit_after_tree | ( | RF & | rf,
|  | PR & | pr,
|  | SM & | sm,
|  | ST & | ,
|  | int | index
| ) |  |

does the basic calculation per tree

void visit_at_end | ( | RF & | rf,
|  | PR & |
| ) |  |

Does the normalisation

## Member Data Documentation

double oobError

Average error of one randomized decision tree

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)